local EffectUtil = import('/lua/EffectUtilities.lua')
local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
local TWeapons = import('/lua/terranweapons.lua')
local TDFHeavyPlasmaCannonWeapon = TWeapons.TDFHeavyPlasmaCannonWeapon
local MWeapons = import('/lua/awweapons.lua')
local AWDeathWeapon = MWeapons.AWDeathWeapon
local TIFCruiseMissileUnpackingLauncher = TWeapons.TIFCruiseMissileUnpackingLauncher
local TAALinkedRailgun = TWeapons.TAALinkedRailgun

UEL_AW = Class(TWalkingLandUnit) {
    Weapons = {
        RightHeavyPlasmaCannon = Class(TDFHeavyPlasmaCannonWeapon) {},
        LeftHeavyPlasmaCannon = Class(TDFHeavyPlasmaCannonWeapon) {},
        DeathWeapon = Class(AWDeathWeapon) {},
        LeftMissileWeapon = Class(TIFCruiseMissileUnpackingLauncher) {},
        RightMissileWeapon = Class(TIFCruiseMissileUnpackingLauncher) {},
        LeftShoulderPDL = Class(TAALinkedRailgun) {},
        RightShoulderPDL = Class(TAALinkedRailgun) {},
        TorsoTarget = Class(TAALinkedRailgun) {},
    },
}

TypeClass = UEL_AW